Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.service.keydepot
Interface KeyDepotService

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  KeyDepotServiceImpl

    public interface KeyDepotService

extends Serializable

The eHealth-platform Key Depot provides a web service interface to retrieve an encryption token key using the getETK operation. The service provided via this technical connector allows the invocation of this getETK operation based on specific input criteria that identify the to-be-found ETK of the receiver uniquely.

Depending on the defined search criteria and corresponding availability of ETK's within the Key Depot, a result from this service can be one of the following:

- An exact match is found. The corresponding ETK is returned and can be sub sequentially used to encrypt a message for a specific receiver.
- No exact match is found. Multiple ETK's correspond with the given search criteria. A list of corresponding ETK search criteria is provided. You are invited to invoke the getETK operation again with more detailed search criteria.
- A semantic error occurred. A list of corresponding errors that can be used for troubleshooting are returned. Factory: `ServiceFactory.getKeyDepotService()`

  Method Summary
  `GetEtkResponse` | `getETK(GetEtkRequest etkRequest)` Request an ETK from the Key Depot
  `Set<EncryptionToken>` | `getETKSet(IdentifierType identifierType, String identifierValue, String applicationId)` Gets the a `Set` of `EncryptionToken` from the KeyDepot based on the input parameters.

  Method Detail

  ### getETK

      GetEtkResponse getETK(GetEtkRequest etkRequest)
                            throws TechnicalConnectorException

    Request an ETK from the Key Depot

    Parameters:
      `etkRequest` - Request data structure for the getEtk operation.
    Returns:
      Response data structure for the getEtk operation. A response contains exactly one of the following: - an ETK (etk) - a list of matching ETK�s (matchingEtks) - a list of errors (errors) Therefore only one of the above attributes will be populated, the others will be empty/null.
    Throws:
      `TechnicalConnectorException` - When a technical exception occurs

  ### getETKSet

      Set<EncryptionToken> getETKSet(IdentifierType identifierType,
                                     String identifierValue,
                                     String applicationId)
                                     throws TechnicalConnectorException

    Gets the a `Set` of `EncryptionToken` from the KeyDepot based on the input parameters.

    Throws:
      `TechnicalConnectorException`

  Overview | Package | Class | Use | Tree | Deprecated | Index | Help
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

  Connector Packaging PHYSIOTHERAPIST 3.14.2 API
  Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.